window._site.forumUser = "";
$(document).ready( function () {
	window._site.comments( $('div.content div.comments'), [{"id":"267","username":"galliva","comment":"<p>If you want to have the search boxes on top without replacing the columns titles, you can use:<\/p>\n\n<pre><code class=\"multiline language-js\">initComplete: function () \n{\n  var r = $('#MyDataTable tfoot tr');\n  r.find('th').each(function(){\n    $(this).css('padding', 8);\n  });\n  $('#MyDataTable thead').append(r);\n  $('#search_0').css('text-align', 'center');\n},\n<\/code><\/pre>\n","created":"10:39, Tue 8th Jul 2014","parent":null,"version":"1.10.0","children":[]},{"id":"351","username":"vemuri","comment":"<p>to display the search box at the top use the following code<\/p>\n\n<pre><code class=\"multiline language-js\">    $('#example thead th').each( function () {\n        var title = $('#example tfoot th').eq( $(this).index() ).text();\n        $(this).html( '&amp;amp;lt;input type=&amp;amp;quot;text&amp;amp;quot; placeholder=&amp;amp;quot;Search '+title+'&amp;amp;quot; \/&amp;amp;gt;' );\n    } );\n\n    \/\/ DataTable\n    var table = $('#example').DataTable();\n\n    \/\/ Apply the search\n    table.columns().eq( 0 ).each( function ( colIdx ) {\n        $( 'input', table.column( colIdx ).header() ).on( 'keyup change', function () {\n            table\n                .column( colIdx )\n                .search( this.value )\n                .draw();\n        } );\n    } );\n} );\n<\/code><\/pre>\n","created":"09:51, Tue 5th Aug 2014","parent":null,"version":"1.10.2","children":[]},{"id":"546","username":"nishant261989","comment":"<p>to display the search box at the top use the following code:<\/p>\n\n<pre><code class=\"multiline language-css\">    tfoot {\n        display: table-header-group;\n    }\n<\/code><\/pre>\n","created":"11:15, Wed 29th Oct 2014","parent":null,"version":"1.10.3","children":[]},{"id":"566","username":"vbrouchet","comment":"<p>You can add the feature of multi-values filtering (&quot;OR&quot; connector applied to the list of filters) by using the regexp option of the search() function:<\/p>\n\n<p>Extending the comment of &quot;vemuri&quot; :<\/p>\n\n<pre><code class=\"multiline language-js\">         var mytable = $('#example').DataTable();\n\n         mytable.columns().eq(0).each(function (colIdx) { \n             $('input', mytable.column(colIdx).footer()).on('keyup change', function () {\n                 mytable.column (colIdx)\n                          .search (this.value.replace(\/;\/g, &amp;quot;|&amp;quot;), true, false)\n                          .draw ();\n             } );\n         } );\n<\/code><\/pre>\n\n<p>The &quot;.replace(\/;\/g, &quot;|&quot;)&quot; is here for allowing the user to use a semi-colon as separator (for instance: put &quot;foo;bar&quot; in the input zone for filtering on strings containing &quot;foo&quot; or containing &quot;bar&quot;).<\/p>\n","created":"17:22, Thu 6th Nov 2014","parent":null,"version":"1.10.3","children":[]},{"id":"909","username":"andreafina","comment":"<p>When inserting the search inputs into the table header, if you want to stop the input fields triggering column sorting when clicking input fields, try this:<\/p>\n\n<pre><code class=\"multiline language-js\">\/\/ Setup - add a text input to each header cell\n$('#example thead th').each(function() {\n    var title = $('#example thead th').eq($(this).index()).text();\n    $(this).html('&amp;lt;input type=&amp;quot;text&amp;quot; placeholder=&amp;quot;Search ' + title + '&amp;quot; \/&amp;gt;');\n});\n\n\/\/ DataTable\nvar table = $('#example').DataTable();\n\n\/\/ Apply the search\nexample.columns().eq(0).each(function(colIdx) {\n    $('input', example.column(colIdx).header()).on('keyup change', function() {\n        example\n            .column(colIdx)\n            .search(this.value)\n            .draw();\n    });\n\n    $('input', example.column(colIdx).header()).on('click', function(e) {\n        e.stopPropagation();\n    });\n});\n<\/code><\/pre>\n","created":"10:52, Tue 7th Apr 2015","parent":null,"version":"1.10.6","children":[]},{"id":"1100","username":"marcelv","comment":"<p>To reduce requests and only search on enter keypress:<\/p>\n\n<pre><code class=\"multiline language-js\">        \/* Apply the search for individual columns*\/\n        table.columns().every( function () {\n            var that = this;     \n            $( 'input', this.header() ).on( 'keydown', function (ev) {\n                 if (ev.keyCode == 13) { \/\/only on enter keypress (code 13)\n                    that\n                        .search( this.value )\n                        .draw();\n                 }\n            } );\n        } );\n<\/code><\/pre>\n","created":"10:14, Mon 20th Jul 2015","parent":null,"version":"1.10.7","children":[]},{"id":"2144","username":"Scalios","comment":"<p>There is an even easier way to move the search boxes in the header. With jquery:<\/p>\n\n<pre><code class=\"multiline language-js\">$('#datatableId tfoot tr').appendTo('#datatableId thead');\n<\/code><\/pre>\n","created":"15:28, Wed 14th Sep 2016","parent":null,"version":"1.10.12","children":[]},{"id":"3227","username":"Canabix","comment":"<p>Create your own search:<\/p>\n\n<p><code>&lt;input id=\"txtSearch\" placeholder=\"General search\" class=\"form-control\" \/&gt;<\/code><\/p>\n\n<pre><code class=\"multiline language-js\">            $(document).ready(function() {\n                $('#example').DataTable();\n\n                $('#example_filter').hide(); \/\/ Hide default search datatables where example is the ID of table\n\n                $('#txtSearch').on('keyup', function() {\n                    $('#example')\n                        .DataTable()\n                        .search($('#txtSearch').val(), false, true)\n                        .draw();\n                });\n            });\n<\/code><\/pre>\n","created":"12:56, Thu 1st Mar 2018","parent":null,"version":"1.10.16","children":[]},{"id":"4520","username":"labroskar","comment":"<p>If you want the search field to be shown only to the columns that are searchable through the <a href=\"\/\/datatables.net\/reference\/option\/columnDefs\"><code class=\"option\" title=\"DataTables initialisation option\">columnDefs<\/code><\/a> option use this code below.<\/p>\n\n<ol class=\"markdown\">\n<li>We construct the input elements before the table var. In case of colspan or rowspan (usually empty elements) we don't put an input field.<\/li>\n<li>We define the table and it's parameters<\/li>\n<li>We check if the column is searchable and we remove the input filed replacing it with the footer value which is available.<\/li>\n<\/ol>\n\n<p>This is working for individual columns (those that don't use colspan in the header).<\/p>\n\n<pre><code class=\"multiline language-js\">$('#example thead th').each( function () {\n        var title = $('#example tfoot th').eq( $(this).index() ).text();\n        if(title!=\"\"){\n            $(this).html( '&lt;input type=\"text\" placeholder=\"Search '+title+'\" \/&gt;' );\n      }\n    } );\n\n    \/\/ DataTable\n    var table = $('#example').DataTable({\n    \"columnDefs\": [\n        { \"searchable\": false, \"targets\": [1,2] }\n    ],\n    });\n\n    \/\/ Apply the search\n    table.columns().eq( 0 ).each( function ( colIdx ) {\n        if( !table.settings()[0].aoColumns[colIdx].bSearchable ){\n        table.column( colIdx ).header().innerHTML=table.column( colIdx ).footer().innerHTML;\n    }\n        $( 'input', table.column( colIdx ).header() ).on( 'keyup change', function () {\n            table\n                .column( colIdx )\n                .search( this.value )\n                .draw();\n        } );\n    } );\n} );\n<\/code><\/pre>\n","created":"17:03, Wed 22nd Apr 2020","parent":null,"version":"1.10.20","children":[]},{"id":"4713","username":"RodrigoPGama","comment":"<p>Like @nishant261989 said, if you want the footer search at the top, use this CSS code:<\/p>\n\n<pre><code class=\"multiline\">tfoot {\n    display: table-header-group;\n}\n<\/code><\/pre>\n\n<p>But this will place your footer above the header. To put it between the header and the first row of the table, use this CSS code:<\/p>\n\n<pre><code class=\"multiline\">    tfoot {\n        display: table-row-group;\n    }\n<\/code><\/pre>\n","created":"16:32, Wed 23rd Sep 2020","parent":null,"version":"1.10.22","children":[]}] );
} );window._site.page = "examples\/api\/multi_filter.html";

$(document).ready( function () {
	window._site.dynamicLoaded();
} );

window._site.csrfToken = '0332d49a5346822cae1415c15c63f78d9b67697dfec734e5';


function dtAds() {
	var loaded = false;
	var headerAd = true;

	if (window.ethicalads) {
		ethicalads.wait.then(function (placements) {
			if (headerAd) {
				$('div.fw-header').addClass('ad');
			}

			if (! placements.length) {
				$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
			}
		});
	}
	else {
		$('div.ad').html('<div class="ad-backup"><a href="/purchase">Please consider supporting DataTables by joining us as a supporter or white listing this site in your ad-blocker.</a></div>');
	}

	var run = function () {
		if (! loaded && $(window).width() >= 860) {
			if (window.ethicalads) {
				ethicalads.load();
				loaded = true;
			}
		}
	}

	if ($('div.page-nav').length && $('div.page-nav').is(':visible')) {
		$('div.nav-ad').children()
			.attr('id', 'ad-fixed-nav')
			.prependTo('div.page-nav');
		headerAd = false;
	}
	else if ($('div.fw-sidebar').length) {
		$('div.nav-ad').children()
			.attr('id', 'ad-forum-nav')
			.prependTo('div.fw-sidebar div.sidebar');
		headerAd = false;
		return; // disable
	}
	else {
		$('div.nav-ad').children()
			.attr('id', 'ad-header');
	}

	$(window).on('resize', function (){
		run();
	});

	// Will run immediately if already loaded
	$(document).ready(function() {
		run();
	});
}


